local addon = PvPTimer

local spells = {
	-- Heroism
	[32182] = 2825,
	-- Bloodlust
	[2825] = {
		class = 'SHAMAN',
		duration = 40,
		cooldown = 300,
		type = 'offensive',
	},
	-- Elemental Mastery
	[16166] = {
		class = 'SHAMAN',
		spec = 1,
		duration = 15,
		cooldown = 180,
		type = 'offensive',
	},
	-- Feral Spirit
	[51533] = {
		class = 'SHAMAN',
		spec = 2,
		duration = 30,
		cooldown = 120,
		type = 'offensive',
	},
	-- Earth Elemental Totem
	[2062] = {
		class = 'SHAMAN',
		duration = 120,
		cooldown = 600,
		type = 'offensive',
	},
	-- Fire Elemental Totem
	[2894] = {
		class = 'SHAMAN',
		duration = 120,
		cooldown = 600,
		cooldown_g = -300,
		type = 'offensive',
	},
	-- Shamanistic Rage
	[30823] = {
		class = 'SHAMAN',
		spec = 2,
		duration = 15,
		cooldown = 60,
		type = 'defensive',
	},
	-- Spirit Link Totem
	[98008] = {
		class = 'SHAMAN',
		duration = 6,
		cooldown = 180,
		type = 'defensive',
	},

	-- Wind Shear
	[57994] = {
		class = 'SHAMAN',
		cooldown = 5,
		type = 'interrupt',
	},
	-- Spiritwalker's Grace
	[79206] = {
		class = 'SHAMAN',
		duration = 15,
		cooldown = 120,
		type = 'misc',
	},
	-- Nature's Swiftness
	[16188] = {
		class = 'SHAMAN',
		spec = 3,
		cooldown = 120,
		type = 'misc',
	},
	-- Hex
	[51514] = {
		class = 'SHAMAN',
		duration = 8,
		cooldown = 45,
		cooldown_g = -10,
		type = 'cc',
	},
	-- Thunderstorm
	[51490] = {
		class = 'SHAMAN',
		spec = 1,
		cooldown = 45,
		cooldown_g = -10,
		type = 'offensive',
	},
	-- Mana Tide Totem
	[16190] = {
		class = 'SHAMAN',
		spec = 3,
		duration = 12,
		cooldown = 180,
		type = 'misc',
	},
	-- Tremor Totem
	[8143] = {
		class = 'SHAMAN',
		duration = 6,
		cooldown = 60,
		type = 'defensive',
	},
	-- Grounding Totem
	[8177] = {
		class = 'SHAMAN',
		type = 'defensive',
		cooldown = 25,
		cooldown_g = 35,
	},
}

local spec = {
	-- Lava Lash
	[60103] = 2,
	-- Earth Shield
	[974] = 3,
	-- Fulmination
	[88766] = 1,
	-- Earthquake
	[61882] = 1,
	-- Stormstrike
	[17364] = 2,
	-- Riptide
	[61295] = 3,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
